/* Genel Temel Stiller */
body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-family: Arial, sans-serif;
    line-height: 1.6;
    margin: 0;
    padding: 0;
    background-color: #f4f4f4;
    color: #010336;
    overflow-x: hidden; /* Yatay kaydırmayı engelle */
}

/* Başlık Renkleri */
h1, h2, h3 {
    color: #30328D;
}






/* Container içindeki başlıkları ortala ve paragrafları iki yana yasla */

.container h1, .container h2 {
    text-align: center;
}



















.container p {
    text-align: justify;
}

/* Atlas Menü Stilleri */
.atlas-container {
    display: flex;
    width: 100%;
    flex-wrap: nowrap;
}

.sidebar {
    flex: 1;
    padding: 1rem;
}

.atlasmenu, .atlasmenu .submenu {
    list-style: none;
    padding: 0;
    margin: 0;
}

.atlasmenu > li {
    margin-bottom: 1rem;
}

.atlasmenu a {
    color: #30328D;
    text-decoration: none;
    display: block;
    padding: 0.5rem 0;
    position: relative;
}

.atlasmenu a:hover {
    font-weight: bold;
}

.atlasmenu .arrow {
    float: right;
    font-size: 0.8rem;
}

.atlasmenu .submenu {
    padding-left: 1rem;
    display: none;
}

.content {
    flex: 9;
    padding: 1rem;
    background-color: #f4f4f4;
}

.content h2 {
    margin-top: 0;
}

/* Header Stilleri */
header {
    background-color: #30328D;
    color: #fff;
    padding: 0.1rem 2rem;
    display: flex;
    align-items: center;
    justify-content: flex-start; /* space-between yerine flex-start */
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;
    box-sizing: border-box; /* Genişlik hesaplamasına padding'i dahil et */
}

header a.logo {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: #fff;
}

header img {
    height: 60px;
    width: auto;
    margin-right: 0.2rem;
}

/* Navigasyon ve Menü Stilleri */
nav {
    display: flex;
    background-color: #30328D;
    flex-grow: 1;
    margin: 0;
}

nav a {
    color: #fff;
    padding: 1rem;
    text-decoration: none;
}

nav a:hover {
    background-color: #4454A4;
}

/* Menü düğmesi, varsayılan olarak masaüstünde gizli */
.menu-toggle {
    display: none;
    flex-direction: column;
    cursor: pointer;
    justify-content: center;
    align-items: center;
    margin-right: 15px;
}

.menu-toggle span {
    background: #fff;
    height: 2px;
    width: 25px;
    margin: 4px 0;
}

/* İçerik ve Ana Bölüm Stilleri */
main {
    padding-left: 2rem;
    padding-right: 2rem;
    flex: 1;
    box-sizing: border-box; /* Genişlik hesaplamasına padding'i dahil et */
    margin-top: 60px; /* Sabit başlık yüksekliğini hesaba katmak için margin ekle */
}

main, section {
    padding: 3rem 2rem 2rem 2rem;
}

section {
    margin-bottom: 2rem;
}

/* Haberler ve makaleler bölümü için stil */
.blog {
    padding: 1rem 0;
}

.blog h3 {
    margin: 0;
}

.blog p {
    margin: 0.5rem 0;
}

.blog-ayirici {
    border: 0;
    border-top: 1px solid #30328D;
    margin: 1rem 0;
}

.blog a, .sayfalama a {
    color: #30328D;
    text-decoration: none;
}

.blog a:hover, .sayfalama a:hover {
    color: #4454A4;
    font-weight: bold;
}

.blog a:visited, .sayfalama a:visited {
    color: #4454A4;
}

/* Haberler sayfası stili */
.haberbody {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.habercontainer {
    width: 95%;
    max-width: 1200px;
    margin: 20px auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start; /* space-between yerine flex-start */
}

.haberler-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.haber-row {
    width: 100%;
    display: flex;
    justify-content: flex-start; /* space-between yerine flex-start */
    margin-bottom: 20px;
}

/* Haber */
.haber {
    width: 48%;
    box-sizing: border-box; /* Genişlik hesaplamasına padding'i dahil et */
    margin-bottom: 20px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #f9f9f9;
}

.haber-foto img {
    width: 100%;
    height: auto;
    border-radius: 5px;
}





/* Haber Detay */
.haber-detay {
    width: 100%;
    box-sizing: border-box; /* Genişlik hesaplamasına padding'i dahil et */
}


.haber-detay h3 {
    font-size: 1.1em;
    margin: 10px 0;
    color: #30328D;
}

.haber-detay p {
    font-size: 1em;
    color: #333;
}

.haber-detay a {
    color: #30328D;
    text-decoration: none;
    font-weight: bold;
}

.haber-detay a:hover {
    color: #4454A4;
}

.haber-tarihi {
    font-size: 0.9em;
    color: #777;
}

.haber-cerceve {
    border: 1px solid #ccc;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    background-color: #f9f9f9; /* İsteğe bağlı, arka plan rengini değiştirmek için */
}

/* Sayfalama Stilleri */
.sayfalama {
    text-align: center;
    margin-top: 2rem;
    font-size: 1.2rem;
    color: #4454A4;
}

.sayfalama span, .sayfalama a {
    margin: 0 5px;
    padding: 5px 10px;
}

.sayfalama span {
    font-weight: bold;
}

/* Link Stilleri */
.site-link {
    color: #30328D;
    text-decoration: none;
    font-weight: bold;
}

.site-link:hover {
    color: #4454A4;
}

/* Link Stilleri 2 */
.site-link2 {
    color: #30328D;
    text-decoration: none;
    font-weight: bold;
}

.site-link2:hover {
    color: #fff;
}

/* Link Stilleri 3 */
.site-link3 {
    color: #30328D;
    text-decoration: none;
}

.site-link:hover {
    color: #4454A4;
    font-weight: bold;
}

/* İletişim Formu Stilleri */
#iletisim {
    padding: 2rem;
    background-color: #f9f9f9;
    border-radius: 5px;
    margin: auto;
    max-width: 1200px;
}

#iletisim h2 {
    text-align: center;
}

#iletisim .row {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

#iletisim .col-left, #iletisim .col-right {
    flex: 0 0 48%;
    padding: 1rem;
    box-sizing: border-box;
}

#iletisim form {
    display: flex;
    flex-direction: column;
}

#iletisim label {
    margin-top: 1rem;
}

#iletisim input, #iletisim textarea {
    width: 100%;
    padding: 0.5rem;
    margin-top: 0.5rem;
    border: 1px solid #ccc;
    border-radius: 5px;
}

#iletisim input[type="submit"] {
    background-color: #30328D;
    color: #fff;
    border: none;
    cursor: pointer;
    margin-top: 1rem;
    padding: 0.75rem;
    font-size: 1rem;
}

#iletisim input[type="submit"]:hover {
    background-color: #4454A4;
}

/* Footer Stilleri */
footer {
    background-color: #E6E6F3;
    color: #30328D;
    text-align: center;
    padding: 0.2rem;
    width: 100%;
    position: relative;
    bottom: 0;
    font-size: 0.8rem;
}

/* Footer link stilleri */
footer a.footer-link {
    color: #30328D;
    font-weight: normal;
    text-decoration: none;
    position: relative;
    display: inline-block;
}

footer a.footer-link .bullet {
    color: #30328D;
    margin-right: 5px;
}

footer a.footer-link:hover {
    color: #30328D;
    font-weight: bold;
}

footer a.footer-link:hover .bullet {
    color: #30328D;
}
/* Detay Content Container */
.detaycontent-container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    text-align: justify;
    width: 100%;
    padding: 0 1rem; /* Kenar boşluklarını azaltın */
    box-sizing: border-box; /* Genişlik hesaplamasına padding'i dahil et */
}


.detaycontent {
    width: 70%; /* Genişliği azaltın */
    padding: 1rem;
    background-color: #f4f4f4;
    box-sizing: border-box; /* Genişlik hesaplamasına padding'i dahil et */
}


.detaysidebar {
    width: 25%; /* Genişliği artırın */
    padding: 1rem;
    background-color: #f4f4f4;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    box-sizing: border-box; /* Genişlik hesaplamasına padding'i dahil et */
}


.detaysidebar h2 {
    font-size: 1.2rem;
    margin-bottom: 1rem;
}

.detaysidebar p {
    margin: 0.5rem 0;
}

.detaysidebar a {
    color: #30328D;
    text-decoration: none;
}

.detaysidebar a:hover {
    font-weight: bold;
    color: #4454A4;
}

.tum-detaylar {
    text-align: right;
    font-weight: bold;
}

/* Dropdown Menü Stilleri */
.dropdown {
    position: relative;
    display: inline-block;
    vertical-align: middle;
}

.dropdown .dropbtn {
    background-color: #30328D;
    color: #fff;
    padding: 1rem;
    text-decoration: none;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    top: 100%;
}

.dropdown-content a {
    color: #30328D;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    background-color: #f1f1f1;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown:hover .dropbtn {
    background-color: #4454A4;
}

/* Ekibimiz Sayfası Stilleri */
.content-container {
    display: flex;
    justify-content: space-between;
}









#Ekip {
    flex: 1;
}

.ekip-uyeleri {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.ekip-uye {
    text-align: center;
    margin-bottom: 2rem;
    flex: 1 1 30%;
    box-sizing: border-box;
    padding: 1rem;
}

.ekip-uye img {
    width: 150px;
    height: 150px;
    object-fit: cover;
    margin-bottom: 1rem;
    border-radius: 50%;
}

/* Modal stil */
.modal {
    display: none; 
    position: fixed; 
    z-index: 1; 
    padding-top: 100px; 
    left: 0;
    top: 0;
    width: 80%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0,0.4); 
}

.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 60%;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/* Sidebar sponsor box stili */
.sponsor-container h2 {
    font-size: 1.2rem;
    margin-bottom: 1rem;
    color: #30328D; /* Başlık rengi */
}

.sponsor-box {
    margin-top: 20px; /* Üstten boşluk ekle */
    text-align: center; /* Resmi ortala */
    display: flex;
    justify-content: center; /* Resmi ortala */
    align-items: center; /* Resmi ortala */
    width: 100%; /* Kutucuk genişliği */
    height: auto; /* Yükseklik otomatik */
    overflow: hidden; /* Taşan kısımları gizle */
}

.sponsor-box img {
    max-width: 100%; /* Resim genişliği kutucuk ile aynı */
    height: auto; /* Oranları koru */
    object-fit: contain; /* Resmi kutucuğa sığdır */
}

/* Ayırıcı çizgi stili */
.divider {
    border: 0;
    border-top: 1px solid #30328D;
    margin: 2rem 0; /* Çizginin etrafındaki boşluk */
}

/* sidebar menü  stilleri */
.sidebar-menu {
    margin-bottom: 20px;
}

.sidebar-menu h2 {
    font-size: 1.2rem;
    margin-bottom: 1rem;
    color: #30328D; /* Başlık rengi */
}

.sidebar-menu ul {
    list-style-type: none; /* Madde imlerini kaldırmak için */
    padding: 0;
}

.sidebar-menu ul li {
    margin-bottom: 10px;
}

.sidebar-menu ul li a {
    color: #30328D;
    text-decoration: none;
    font-weight: normal; /* Varsayılan olarak bold değil */
    display: block;
    padding: 5px 0;
}

.sidebar-menu ul li a:hover {
    color: #4454A4;
    font-weight: bold; /* Fare ile üzerine gelindiğinde bold */
}

/* Mobil uyumluluk için medya sorguları */
@media (max-width: 480px) {
    .ekip-uye img {
        width: 100px;
        height: 100px;
    }
}

@media (max-width: 768px) {
    header {
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        padding-left: 1rem;
        padding-right: 1rem;
    }

    .detaycontent {
        width: 100%;
    }

    .detaycontent-container {
        display: flex;
        flex-direction: column;
    }

    .detaycontent, .detaysidebar {
        width: 100%;
    }

    .detaysidebar {
        margin-top: 20px;
    }

    .haber {
        width: 100%;
        margin-bottom: 10px; /* Haberler arasındaki boşluğu azaltmak için margin-bottom değerini küçültüyoruz */
    }
    
    .haber-row {
        display: block; /* Mobilde her haberi alt alta göstermek için flex özelliğini kapatıyoruz */
        margin-bottom: 0; /* Haber satırları arasındaki boşluğu kaldırmak için margin-bottom değerini sıfırlıyoruz */
    }

    .haber-foto {
        margin-right: 0;
        margin-bottom: 10px;
    }

    .haber-detay {
        margin-top: 10px;
    }

    .menu-toggle {
        display: flex;
        align-self: center;
        cursor: pointer;
        margin-right: 20px;
    }

    nav {
        display: none;
        flex-direction: column;
        width: 100%;
        background-color: #30328D;
        position: absolute;
        top: 60px;
        left: 0;
        z-index: 1000;
    }

    nav.active {
        display: flex;
    }

    nav a {
        padding: 1rem;
        width: 100%;
        text-align: left;
    }

    #iletisim {
        padding: 1rem;
    }

    #iletisim input, #iletisim textarea {
        margin-top: 0.5rem;
    }

    #iletisim .col-left, #iletisim .col-right {
        flex: 100%;
    }

    .ekip-container {
        grid-template-columns: 1fr;
    }

    .ekip-uye img {
        width: auto;
        max-width: 150px;
        height: auto;
    }

    .atlas-container {
        flex-direction: column;
    }

    .sidebar {
        width: 100%;
        padding: 1rem;
    }

    .content {
        width: 100%;
        padding: 1rem;
        background-color: #f4f4f4;
    }
}
